gnutls_kx_get(3)

NAME
gnutls_kx_get - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_kx_algorithm_t gnutls_kx_get(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Get the currently used key exchange algorithm.

This function will return GNUTLS_KX_ECDHE_RSA, or GNUTLS_KX_DHE_RSA under TLS 1.3, to indicate an elliptic curve DH key exchange or a finite field one. The precise group used is available by calling gnutls_group_get() instead.

RETURNS
the key exchange algorithm used in the last handshake, a gnutls_kx_algorithm_t value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/